> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all variables for a business



## OpenAPI

````yaml /openapi.json get /businesses/{id}/variables
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{id}/variables:
    get:
      tags:
        - Variables
      summary: Get all variables for a business
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the business
          required: true
      responses:
        '200':
          description: The variables for the business
          content:
            application/json:
              schema:
                type: object
                properties:
                  variables:
                    type: array
                    items:
                      type: string
                    description: The variables for the business
                required:
                  - variables
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````